Search monitors

Base URL
https://{kibana_url}
  • GET /api/synthetics/monitors
  • GET /s/{space_id}/api/synthetics/monitors
Auth

Get a list of monitors.

You must have read privileges for the Synthetics feature in the Observability section of the Kibana feature privileges.

Required authorization

Privileges uptime-read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

query string · max length: 4096

A free-text query string.

filter string · max length: 4096

Additional KQL filtering criteria.

tags string[] · max items: 1000

Tags to filter monitors. Accepts a string or an array of strings.

monitorTypes string[] · max items: 1000

The monitor types to filter by, such as http. Accepts a string or an array of strings.

locations string[] · max items: 1000

The location IDs to filter by. Accepts a string or an array of strings.

projects string[] · max items: 1000

The projects to filter by. Accepts a string or an array of strings.

schedules string[] · max items: 1000

The schedules to filter by. Accepts a string or an array of strings.

remoteNames string[] · max items: 1000

A string or an array of strings.

status string[] · max items: 1000

The monitor statuses to filter by. Accepts a string or an array of strings.

monitorQueryIds string[] · max items: 1000

The monitor query IDs to filter by. Accepts a string or an array of strings.

configIds string[] · max items: 1000

The monitor config IDs to filter by. Accepts a string or an array of strings.

showFromAllSpaces union enum | boolean

If true, return monitors from all spaces the user can access.

Values: true false
useLogicalAndFor enum[] · max items: 1000

Apply logical AND for tags and/or locations. Accepts a string or an array.

Values: tags locations
dateRangeStart string · max length: 4096

The start of the status window, as datemath (now-15m) or an ISO-8601 timestamp.

dateRangeEnd string · max length: 4096

The end of the status window, as datemath (now) or an ISO-8601 timestamp.

page number

The page number for paginated results.

perPage number

The number of items to return per page.

sortField enum

The field to sort the results by.

Values: enabled status updated_at created_at urls name tags project_id type schedule journey_id
sortOrder enum

The sort order.

Values: desc asc
searchAfter string[] · max items: 50

A JSON array of sort values from the previous page, for cursor-based paging.

Response

A successful response.

application/json
absoluteTotal integer
monitors object[]
page integer
perPage integer
total integer
Base URL
https://{kibana_url}